using Microsoft.Extensions.DependencyInjection;

namespace StellaOps.Vexer.Storage.Mongo;

public static class VexMongoServiceCollectionExtensions
{
    public static IServiceCollection AddVexerMongoStorage(this IServiceCollection services)
    {
        services.AddSingleton<IVexRawStore, MongoVexRawStore>();
        services.AddSingleton<IVexExportStore, MongoVexExportStore>();
        return services;
    }
}
